Bug 1298599 - gnome-documents: unrecognized image file format
Summary: gnome-documents: unrecognized image file format
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-documents   
(Show other bugs)
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1565708
TreeView+ depends on / blocked
 
Reported: 2016-01-14 14:15 UTC by Jiri Prajzner
Modified: 2018-11-30 20:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1565708 (view as bug list)
Environment:
Last Closed: 2018-11-30 20:54:44 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jiri Prajzner 2016-01-14 14:15:36 UTC
Description of problem:
gnome-documents doesn't recognize various file formats

Version-Release number of selected component (if applicable):
3.18.2

How reproducible:
Always

Steps to Reproduce:
1. have some documents, preferably different file formats
2. launch gnome-documents
3. scroll down

Actual results:
error: Could not find thumbnail in zip file

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Unable to create loader for mime type application/vnd.openxmlformats-officedocument.wordprocessingml.document: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/jprajzne/Downloads/vraceni-zbozi-formular-s.docx: Unrecognized image file format
error: Could not find thumbnail in zip file

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Unable to create loader for mime type application/vnd.openxmlformats-officedocument.presentationml.presentation: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/jprajzne/Downloads/IoT%20with%20Apache.pptx: Unrecognized image file format
error: Could not find thumbnail in zip file

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Unable to create loader for mime type application/vnd.openxmlformats-officedocument.presentationml.presentation: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/jprajzne/Downloads/2015.10.02-ApacheCon-InternetOfThingsInAction.pptx: Unrecognized image file format
error: Could not find thumbnail in zip file

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Unable to create loader for mime type application/vnd.openxmlformats-officedocument.presentationml.presentation: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/jprajzne/Downloads/2015.09.28-JavaSi-ConnectingTheInternetOfThings.pptx: Unrecognized image file format
error: Could not find thumbnail in zip file

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Unable to create loader for mime type application/vnd.openxmlformats-officedocument.wordprocessingml.document: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/jprajzne/Downloads/cesta.docx: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Unable to create loader for mime type application/pdf: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/jprajzne/Downloads/produits%20recommand%C3%A9s%20et%20d%C3%A9conseill%C3%A9s.pdf: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Unable to create loader for mime type application/pdf: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Unable to create loader for mime type application/pdf: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/jprajzne/Documents/JB437-RHJA-M6.1-en-1-20150311.pdf: Unrecognized image file format

(org.gnome.Documents:9087): GnomeDesktop-WARNING **: Error creating thumbnail for file:///home/jprajzne/Documents/JB439-RHJF6.1-en-2-20150410.pdf: Unrecognized image file format

Expected results:
no file format related warnings

Additional info:

Comment 1 Fedora End Of Life 2016-11-24 14:56:30 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jiri Prajzner 2016-11-24 15:30:49 UTC
still valid in f25

Comment 3 Fedora End Of Life 2017-11-16 18:52:24 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Jiri Prajzner 2017-11-20 11:34:00 UTC
cannot reproduce in f27

Comment 5 Ben Cotton 2018-11-27 16:15:20 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2018-11-30 20:54:44 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.